package com.gic.haoban.manage.service.pojo;

import java.io.Serializable;
import java.util.List;

/**
 * Created 2021/7/19.
 *
 * @author hua
 */
public class QywxTagSyncInfoPojo implements Serializable {
    /**
     * 任务id
     */
    private String taskId;
    /**
     * 任务类型 0标签同步 1会员标签同步
     * #taskTypeEnum
     */
    private int taskType;
    /**
     * 数据id 对应memberId
     */
    private String dataId;
    /**
     * 同步类型
     */
    private int syncType;

    private Integer times = 0;


    /**
     * 批量导入时
     */
    private List<String> memberIds;
    /**
     * 非必传
     */
    private String wxEnterpriseId;
    /**
     * 非必传
     */
    private String enterpriseId;

    private String externalUseridInfo ;

    public String getExternalUseridInfo() {
        return externalUseridInfo;
    }

    public void setExternalUseridInfo(String externalUseridInfo) {
        this.externalUseridInfo = externalUseridInfo;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public List<String> getMemberIds() {
        return memberIds;
    }

    public void setMemberIds(List<String> memberIds) {
        this.memberIds = memberIds;
    }

    public int getSyncType() {
        return syncType;
    }

    public void setSyncType(int syncType) {
        this.syncType = syncType;
    }

    /**
     * 同步的id
     */
    private Integer syncLogId;

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public Integer getSyncLogId() {
        return syncLogId;
    }

    public void setSyncLogId(Integer syncLogId) {
        this.syncLogId = syncLogId;
    }


    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public int getTaskType() {
        return taskType;
    }

    public void setTaskType(int taskType) {
        this.taskType = taskType;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }
}
